Subject: bug#11182: closed (Re: bug#11182: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 06 Apr 2012 03:25:01 +0000

Your bug report

#11182: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
11182: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=11182
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#11182: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.
From: Kenichi Handa <[email-masked]>
To: [email-masked]
Date: Fri, 06 Apr 2012 12:23:23 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

In article <[email-masked]>, Stefan Monnier <[email-masked]> writes:

> > Ah, that's what "the standard completion UI" in NEWS means.
> > Ummm, I don't like it.  What annoys me most is that it's
> > very difficult to find when '?' is bound to
> > completion-help-at-point.  Are there any easy way to
> > customize Emacs not to bind '?' to completion-help-at-point?

> You can remove the binding from completion-in-region-mode-map.

Thank you.  I now have this in my .emacs.

;; To avoid '?' run completion-help-at-point in *shell* buffer.
(define-key completion-in-region-mode-map "?" nil)

---
Kenichi Handa
[email-masked]

Subject: 24.0.93; In *shell* buffer, '?' can't be inserted after TAB.
From: Kenichi Handa <[email-masked]>
To: [email-masked]
Date: Thu, 05 Apr 2012 11:04:27 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

This is with the latest trunk emacs.

In *shell* buffer, if I have files temp1, temp2, temp.txt,
and type as this (<TAB> means the TAB key):

    % rm temp<TAB>

*Completions* buffer pops up and lists temp1, temp2,
temp.txt.  But after that, when I type '?' key, ? is not
inserted in the buffer because C-h c ? tells that it runs
completion-help-at-point.  This is very annoying.  What I
want to do is to delete only temp1 and temp2 by typing "rm
temp?".

---
Kenichi Handa
[email-masked]

In GNU Emacs 24.0.93.2 (i686-pc-linux-gnu, GTK+ Version 2.22.0)
 of 2012-03-28 on etlken
Windowing system distributor `The X.Org Foundation', version 11.0.10900000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: ja_JP.UTF-8
  value of $XMODIFIERS: @im=ibus
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: RMAIL

Minor modes in effect:
  shell-dirtrack-mode: t
  display-time-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t

Recent input:
C-n C-n C-n C-n C-p C-p C-p C-p M-f M-b T h e SPC c 
u r r e n t SPC M-l <backspace> i n g SPC l i s t M-d 
M-f M-f M-f M-f M-f M-d M-f M-f M-b C-k a M-b M-b i 
s SPC C-e l i v e . C-a C-n C-n C-n C-n C-p C-p C-p 
C-p C-p C-e . C-n C-n C-n C-n . <escape> < C-v M-v 
C-p C-p C-p C-p C-p C-p C-p C-p C-n M-f M-f M-b w i 
l l SPC b e SPC m 1 7 n - l i b - m l @ a i s t . g 
o . j p M-d M-d M-d M-d <escape> q C-a M-r h d d d 
SPC d SPC SPC d d d d SPC d SPC n d d d d d d d d d 
d d C-p u SPC SPC SPC SPC SPC SPC <backspace> <backspace> 
<backspace> <backspace> <backspace> <backspace> n d 
C-p C-p SPC <backspace> d d d s y q C-v <escape> < 
C-c C-c s q C-x k <return> p u s h d SPC . . / w o 
<tab> <return> b z r SPC m e r g e <return> l s SPC 
# <tab> C-a C-k b z r SPC c o m m i t SPC - m SPC ' 
m e r g e SPC t r u n k ' <return> M-x o m p i <M-backspace> 
c o m p i l e <return> C F L A G S = - g <return> <help-echo> 
C-x o M-r C-x o s r c / e m a c s <return> <help-echo> 
C-x o M-x r e p o <tab> r t <tab> <return>

Recent messages:
/usr/local/work/emacs/work /usr/local/work/emacs/trunk 
comint--common-quoted-suffix: Wrong type argument: wholenump, -1
(No files need saving)
Compilation finished
Getting mail from /var/mail/handa...
Counting new messages...done (1)
Saving file /usr/local/home/handa/RMAIL...
Wrote /usr/local/home/handa/RMAIL [2 times]
1 new message read
Making completion list...

Load-path shadows:
/usr/local/share/emacs/site-lisp/evi-mule hides /usr/local/share/emacs/site-lisp/lookup/evi-mule
/usr/local/share/emacs/site-lisp/evi hides /usr/local/share/emacs/site-lisp/lookup/evi
/usr/local/share/emacs/site-lisp/anthy/anthy hides /usr/local/share/emacs/site-lisp/egg/egg/anthy
/usr/local/share/emacs/site-lisp/egg/its/thai hides /usr/local/work/emacs/stable/lisp/language/thai
/usr/local/share/emacs/site-lisp/egg/its/greek hides /usr/local/work/emacs/stable/lisp/language/greek
/usr/local/work/emacs/stable/lisp/textmodes/table hides ~/emacslisp/table
/usr/local/work/emacs/stable/lisp/language/thai-word hides ~/emacslisp/thai-word
/usr/local/work/emacs/stable/lisp/progmodes/prolog hides ~/emacslisp/prolog
/usr/local/work/emacs/stable/lisp/emacs-lisp/syntax hides ~/emacslisp/syntax
/usr/local/work/emacs/stable/lisp/textmodes/tex-mode hides ~/emacslisp/tex-mode

Features:
(shadow emacsbug compile network-stream starttls tls
mailalias smtpmail auth-source eieio byte-opt bytecomp
byte-compile cconv macroexp assoc password-cache sendmail
sort ja-dic mule-util kkc ja-dic-utl quail help-mode view
newcomment dabbrev supercite easy-mmode regi mail-extr
multi-isearch gnus-util qp rmailkwd pcmpl-unix ansi-color
shell pcomplete comint regexp-opt ring rmailmm message
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies
mm-encode mailabbrev gmm-utils mailheader mail-parse rfc2231
js2-mode-autoloads package tabulated-list rmail-parse-url
time rmail-sa rmailsum rmail rfc2047 rfc2045 ietf-drums
mm-util mail-prsvr mail-utils time-date japan-util tooltip
ediff-hook vc-hooks lisp-float-type mwheel x-win x-dnd
tool-bar dnd fontset image fringe lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock
font-lock syntax facemenu font-core frame cham georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao
korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook
jka-cmpr-hook help simple abbrev minibuffer loaddefs button
faces cus-face files text-properties overlay sha1 md5 base64
format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process
dbusbind dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty
emacs)